package model

import (
	"time"
)

type CommunityTeamStorePrinter struct {
	Id                 int       `json:"id" xorm:"not null pk autoincr INT(11)"`
	StoreId            int       `json:"store_id" xorm:"not null comment('店铺id') INT(11)"`
	SnNum              string    `json:"sn_num" xorm:"not null comment('打印机SN编号') VARCHAR(255)"`
	IdentificationCode string    `json:"identification_code" xorm:"not null comment('打印机识别码') VARCHAR(255)"`
	Name               string    `json:"name" xorm:"not null comment('打印机名字') VARCHAR(255)"`
	ModuleId           int       `json:"module_id" xorm:"comment('打印模版id') INT(11)"`
	IsUse              int       `json:"is_use" xorm:"not null comment('是否使用') TINYINT(1)"`
	CreateTime         time.Time `json:"create_time" xorm:"not null default 'CURRENT_TIMESTAMP' comment('创建时间') DATETIME"`
	UpdateTime         time.Time `json:"update_time" xorm:"not null default 'CURRENT_TIMESTAMP' comment('更新时间') DATETIME"`
	Type               string    `json:"type" xorm:"not null default 'ordinary' comment('打印机类型  ordinary普通打印机 cloud云打印机') VARCHAR(255)"`
	LocationType       string    `json:"location_type" xorm:"not null default '' comment('打印机位置') VARCHAR(255)"`
}
